/*
 * colors.h
 */

#ifndef  _COLORS_H_
#define  _COLORS_H_  1

#include <wms/rnd.h>


/**********************************************************************
 * Functions
 **********************************************************************/

/*
 * colors_new returns the actual number of colors allocated.
 */
extern int colors_new(Display *dpy, unsigned long *colors, int maxColors,
		      Rnd *r);
extern void colors_free(Display *dpy, unsigned long *colors, int numColors);

#endif /* _COLORS_H_ */
