/*
 * engine.h
 */

#ifndef _ENGINE_H_
#include <wms/rnd.h>
#include "base.h"


/**********************************************************************
 * Data Types
 **********************************************************************/

typedef int  EngineReply;

typedef struct {
  Real centerR, centerI;
  Real radius;
  int w, h;
  int limit;
} Engine;


/**********************************************************************
 * Functions
 **********************************************************************/

extern int  engine(Engine *e, int y, UInt8 *dataBuffer);

#endif /* _ENGINE_H_ */
