/*
 * io.h
 */


#ifndef  _IO_H_
#include <wms/rnd.h>
#include "base.h"
#define  _IO_H_  1

/**********************************************************************
 * Data Types
 **********************************************************************/

typedef struct io_struct {
  Display *dpy;
  int  w, h;
  Window rootWin;
  Pixmap pixmap;
  XImage *image;

  int  maxColors, numColors;
  ulong  colors[129];
} Io;


/**********************************************************************
 * Functions
 **********************************************************************/

extern void  io_init(Io *io, const char *dpyName, int maxColors, Rnd *rnd);
extern void  io_recolor(Io *io, Rnd *rnd);
extern void  io_update(Io *io, int lineNum, UInt8 *data);

#endif /* _IO_H_ */
