/*
 * selector.h
 */


#ifndef  _SELECTOR_H_
#include <wms/rnd.h>
#include "base.h"
#define  _SELECTOR_H_  1

/**********************************************************************
 * Data Types
 **********************************************************************/

typedef struct {
  int  numEdge, edgeSel, numLimit;
  int  numTurb, turbSel;
} Selector;

/**********************************************************************
 * Functions
 **********************************************************************/

extern void selector_read(Selector *sel, UInt8 *prev, UInt8 *data, UInt8 *next,
			  int dataW, Rnd *rnd);
extern void selector_pick(int *x, int *y, Selector *sels, int numSels,
			  Rnd *rnd);

#endif /* _SELECTOR_H_ */
